#ifndef DEFINES_H
#define DEFINES_H aaa

// Common
#define IN_GAME_KEY "scrambled.in.game"
#define JUST_FINISH_GAME_KEY "scrambled.just.finish.game"
#define LOCK_VPAD_KEY "lock.vpad"
#define GAME_TYPE_SURVIVE_KEY "scrambled.game.type.survive"
#define GAME_SESSION_KILLED             "scrambled.game.session.killed"
#define GAME_SESSION_KILLED_WITH_PISTOL "scrambled.game.session.killed_with_pistol"

// AutoAim
#define AIM_THROUGH_WALLS_KEY "scrambled.aim.through.walls"
#define AIM_ENABLED_KEY "aim.enabled"
#define AIM_NORMAL_ANGLE_KEY "scrambled.aim.normal_angle"
#define AIM_MONSTER_PRIORITY_KEY "scrambled.aim.prority.monster"
#define AIM_BOX_PRIORITY_KEY "scrambled.aim.prority.box"
#define AIM_BARREL_PRIORITY_KEY "aim.prority.barrel"
#define AIM_MAX_RANGE_KEY "scrambled.aim.range.max"
#define AIM_MIN_RANGE_KEY "scrambled.aim.range.min"
#define AIM_REQUIRED_DELTA_KEY "scrambled.aim.required.delta"
#define AIM_MAX_FIRING_RANGE_KEY "scrambled.aim.firingrange.max"
#define AIM_WHEN_FIRING_ONLY_KEY "scrambled.aim.whenfiring.only"
#define AIM_WHEN_MANUAL_KEY "scrambled.aim.when_manual"
#define AIM_MANUAL_ANGLE_KEY "scrambled.aim.manual_angle"

// AdWare in Game
#define ADWARE_INGAME_POPUP_ENABLED_KEY   "scrambled.adware.ingame.popup.enabled"
#define ADWARE_INGAME_POPUP_SHOW_TIME_KEY "scrambled.adware.ingame.popup.showtime"
#define ADWARE_INGAME_POPUP_INTERVAL_KEY  "scrambled.adware.ingame.popup.interval"
#define ADWARE_INGAME_POPUP_DELAY_KEY     "scrambled.adware.ingame.popup.delay"
// AdWare in Menu
#define ADWARE_INMENU_POPUP_ENABLED_KEY   "scrambled.adware.inmenu.popup.enabled"
// Fullscreen AdWare 
#define ADWARE_FULLSCREEN_SHOW_RATE_KEY	  "scrambled.adware.fullscreen.show.rate"
#define ADWARE_FULLSCREEN_SHOW_FIRST_KEY  "scrambled.adware.fullscreen.show.first"
#define ADWARE_FULLSCREEN_SHOW_NUM_KEY    "adware.fullscreen.show.num"


// Input
#define MOVE_JOY_WITH_TOUCH_TO_SHOOT_CONST  0 //   ,   
#define MOVE_JOY_WITH_SHOOT_JOY_CONST       1  //   
#define TOUCH_TO_MOVE_WITH_SHOOT_JOY_CONST  2 //   ,   
#define ACC_MOVE_WITH_SHOOT_JOY_CONST       3 //    ,   

// Defficulty
#define DIFFICULTY_LEVEL  	"scrambled.DifficultyLevel"
#define DAMAGE_TO_PLAYER_COEFF  "scrambled.DamageToPlayerCoeff"



#ifndef AS_COMPILE
defines()
{
}
#endif

#endif
